llvm-toolchain-22 (1:22.1.6-1ubuntu2) stonking; urgency=medium

  * No-change rebuild for abseil soname.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 30 Jun 2026 21:07:23 +0200

llvm-toolchain-22 (1:22.1.6-1ubuntu1) stonking; urgency=medium

  * Merge with Debian (LP: #2151235); remaining changes:
    - Apply patch to build for RV23 baseline on riscv64.
    - Don't apply the lldb/test-disable-lldb-i386 patch.
    - Regenerate the control file.
    - Add python3-yaml build dependency.
    - Always require python3-myst-parser.

 -- Karl Smeltzer <karl.smeltzer@canonical.com>  Tue, 26 May 2026 15:01:57 -0700

llvm-toolchain-22 (1:22.1.6-1) unstable; urgency=medium

  [ Matthias Klose ]
  * Make stonking a known Ubuntu series.
  * Build OCaml for stonking.

  [ Sylvestre Ledru ]
  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 19 May 2026 17:53:28 +0200

llvm-toolchain-22 (1:22.1.5-1) unstable; urgency=medium

  * d/rules: Fix LLD_INSTALLED detection. The previous shell snippet
    always returned "yes" because `; echo yes` ran unconditionally,
    so -DLLVM_USE_LINKER=lld was passed to CMake even when lld was
    not installed (e.g. on Ubuntu questing where the lld build-dep
    alternative resolved to `hello`), leading to a cryptic
    "collect2: fatal error: cannot find 'ld'" failure. When lld is
    not installed on an LLD_BUILD_ARCHS arch, warn and fall back to
    the system default linker instead of aborting with "unknown
    build linker".
  * New upstream release
  * d/rules: Fail the build if debian/control is regenerated, except for
    apt.llvm.org snapshot builds where the substitutions legitimately
    differ between snapshots. Modifying debian/control during the build
    is forbidden by Debian policy and breaks reproducibility.
    (Closes: #1130335)
  * d/rules, d/control.in: Replace the post-substitution sed that rewrote
    the libc++/libomp/libunwind move version cap on apt.llvm.org snapshot
    builds with a @LIBCXX_MOVE_VERSION@ placeholder substituted in the
    same loop as the other variables. Removes one more in-build mutation
    of debian/control.
  * d/rules: Extend the regenerate-vs-fail check to debian/watch,
    debian/packages.ocaml and debian/packages.libclc. These three files
    are also tracked in git, kept by override_dh_auto_clean and rewritten
    in place by the substitution loop, so they have the same drift risk
    as debian/control.
  * d/source-integrity.mk: Move the source-package integrity logic
    (APT_LLVM_ORG, GENERATED_TRACKED_FILES and the snapshot/verify canned
    recipes) into a dedicated include file. Keeps debian/rules focused on
    the build itself.
  * d/tests.mk: Move the override_dh_auto_test definition (the whole
    ifeq RUN_TEST block, ARCH_LLVM_TEST_OK and the lcov coverage tail)
    into a dedicated include file. Pure relocation, no behavioural
    change.
  * d/build-wasm-mingw.mk: Move the wasm32/wasm64 + mingw-w64
    compiler-rt and libcxx pattern rules, the STAGE_2_WASM_C(XX)FLAGS
    filters and the stamps/debian-{wasm,mingw}-build aggregators into a
    dedicated include file. Pure relocation, no behavioural change.
  * Fix the autopkgtest for Polly. Thanks to Adrian Bunk for the fix
    (Closes: #1130893)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 05 May 2026 00:00:00 +0200

llvm-toolchain-22 (1:22.1.4-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * d/patches/hurd/hurd_orc_pathmax.diff: Update to version that does not need
    sys::fs::readlink.
  * patches/fix-readlink-not-in-fs-namespace.diff: Drop

  [ Matthias Klose ]
  * d/rules, d/python3-lldb-X.Y.links.in: Fix location for extension.

  [ Sylvestre Ledru ]
  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 21 Apr 2026 23:39:53 +0200

llvm-toolchain-22 (1:22.1.3-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * d/patches/hurd/hurd_orc_pathmax.diff: Fix GNU/Hurd build.

  [ Sylvestre Ledru ]
  * new upstream release
  * patches/fix-readlink-not-in-fs-namespace.diff:
    Fix build issue #190659

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 09 Apr 2026 11:29:37 +0200

llvm-toolchain-22 (1:22.1.2-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 29 Mar 2026 18:58:38 +0200

llvm-toolchain-22 (1:22.1.1-1) unstable; urgency=medium

  [ Matthias Klose ]
  * d/rules: Only disable Z3 support for Ubuntu when it is in main.
  * Install a lit binary. Addresses: #1122910.
  * llvm-tools: Don't install the lit tests. Addresses: #1122909.
  * d/rules: For Ubuntu, don't include i386 for CLANG_GRPC_ARCHS,
    not built on i386.
  * Update libc++1, libc++abi1 and libomp5 symbols files.
  * d/rules: Stop ignoring failure for dh_shlibdeps call.

  [ Sylvestre Ledru ]
  * New upstream release
  * Add hello fallback for lld build dependency. For bullseye and jammy
    s390x backport in particular
  * Fix autopkgtests for Polly: Update to use LLVM 22's new pass manager
    syntax (-passes=polly-canonicalize instead of -polly-canonicalize).
    (Closes: #1130893)
  * Adjust the path to lit

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 17 Mar 2026 21:30:24 +0100

llvm-toolchain-22 (1:22.1.0-2) unstable; urgency=medium

  [ Matthias Klose ]
  * d/rules: Don't use lld for backport build, when not available.
  * d/rules: Add safety check for enablement of the RVA23 baseline.

  [ Sylvestre Ledru ]
  * lldb: support global config file, thanks to Nobert Lange
  * Don't fallback to llvm-spirv-(N-1) when llvm-spirv-N isn't available.
    LLVM 22 bitcode contains new attributes that llvm-spirv-21 can't read,
    causing libclc build failures on full builds (not -B/binary-arch since
    libclc is arch=all):
    "Unknown attribute kind (105) (Producer: 'LLVM22.1.0' Reader: 'LLVM 21.1.8')"
    Update build-dep to llvm-spirv-22.
    (Closes: #1128822)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 25 Feb 2026 19:51:52 +0100

llvm-toolchain-22 (1:22.1.0-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 24 Feb 2026 10:16:57 +0100

llvm-toolchain-22 (1:22.1.0~+rc3-1~exp1) experimental; urgency=medium

  [ Matthias Klose ]
  * d/rules: Fix self-referencing macro.

  [ Sylvestre Ledru ]
  * New rc release
  * Fix autopkgtest failure with CMake 4. thanks to Adrian Bunk
  * d/rules: Simplify and clean up:
    - Remove empty hurd-i386 conditional block
    - Fix inverted LLVM_LIBC_ENABLE and LTO_ENABLE info message conditions
    - Consolidate duplicate mips64el architecture handling
    - Factor out common sparc/sparc64 PARALLEL_LINK_JOBS setting
    - Consolidate sed commands for CMake export files
    - Consolidate wasm install commands into a loop
    - Simplify jquery/underscore symlink replacement
    - Consolidate Python cleanup commands

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 10 Feb 2026 09:27:55 +0100

llvm-toolchain-22 (1:22.1.0~+rc2-1~exp1) experimental; urgency=medium

  [ Matthias Klose ]
  * Enable libunwind on s390x (Michael R. Crusoe). Addresses: #1126263.

  [ Sylvestre Ledru ]
  * New rc release
  * Dedup the flags declarations
  * Implement terse option in DEB_BUILD_OPTIONS to reduce build verbosity
  * Break the build if DEB_BUILD_OPTIONS contains a comma

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 04 Feb 2026 13:19:58 +0100

llvm-toolchain-22 (1:22.1.0~+rc1-1~exp1) experimental; urgency=medium

  [ Sylvestre Ledru ]
  * new rc release
  * grep is interpreting -Bno-symbolic as a context option.
  * Workaround the replaces/breaks on apt.llvm.org (upstream 167538)
  * flang: also ignore -fstack-protector-strong (happens on focal)
  * Rename ign_fail => ignore_if_fail
  * Fix file location for lintian source override.
  * mingw-w64 cross compilation is broken on focal, disable it

  [ Fabian Grünbichler ]
  * workaround cmake 4

  [ Matthias Klose ]
  * d/rules: Mark usage of SLOPPY_BUILD to ease searching in the build log.
  * Update watch file, use with --force-download to fetch the integration
    testsuite.
  * Introduce an OMPD_ARCHS macro and use it.
  * Add a llvm.noclang build profile (not enabled by default).
  * Bump llvm-spirv build dependency to 21 again.
  * Introduce an LLVM_SPIRV_ARCHS macro and use it.
  * Don't run the omp autopkg test on i386. Closes: #1118644.
  * d/tests/control.in: Add test dependency on g++-multilib. Closes: #1118643.
  * d/debian-llvm-testsuite.bats: Skip test. Closes: #1118641.
    The test "pthread_cancel with libunwind compatibility" is wrong.
  * d/tests/control.in: Add test dependency on binutils-gold. Closes: #1118646.
  * Introduce CLANG_GRPC_ARCHS macro and use it.
  * Also use the grpc bits for clang on i386.
  * Add the alternate hello b-d for grpc related build dependencies.
  * Add profile to ocaml build dependencies.
  * Re(?)-enable omp on i386.
  * d/control: Only use one build profile per binary package for now. The ORing
    of build profiles seems to be not working.
  * Rename build profiles from llvm.* to pkg.llvm.*.
  * Fix some lintian warnings, override some more.
  * Clarify the libunwind package descriptions, that it is not compatible
    with glibc.
  * Only run the flang autopkg tests where flang is available.
  * Rename the LIBC_ARCHS macro to LLVM_LIBC_ARCHS, and only run the
    libllvmlibc autopkg tests where the package is available.
  * Fix removing *.pyc files and __pycache__ dirs during installation.
  * Fix some lintian warnings, override some more.
  * Copy libc++1, libc++abi1 and libomp5 symbols files from 21.
  * Build and install libflang_rt.runtime. Addresses: #1117534.
  * Fix liborc install on hurd-amd64.
  * Also call dh_python for the llvm-X.Y-tools package.
  * libunwind-X.Y-dev: Stop providing libunwind-dev. As updated in the
    package description, the unwinder is incompatible with glibc.
  * d/rules, d/*.{install,links,lintian-overrides}.in: Use a macro LLVM_LIBDIR.
  * Fix one more libclang1 lintian override.
  * Fix one more libc++-22-dev-wasm32 lintian override.
  * Update symbols files from the buildd logs, including i386.
  * Fix syntax for OR-ed build profiles.
  * clang-22-tools, llvm-22-tools: Use dh_python3 substvars.
  * liblldb-22: Move the .so symlink to the liblldb-22-dev package.
  * d/rules: Remove unnecessary use of the CURDIR macro.
  * Enable offloading on riscv64 (Aurelian Jarno).
  * Manually fix the python3 shebangs. dh_python3 can only handle one
    private directory. Also install lit first in the dh_override_install
    target, fix it there, and move it to the package from there.
  * Add build conflicts on llvm-22-runtime and clang-22, or else the
    wasm build picks up stuff from the installed llvm-22 and fails.
  * Stop building multilibs on s390x. Closes: #1125254.
  * Still build-depend on spirv-21.
  * d/llvm-X.Y-tools.bcep.in: Fix Python 3.14 byte compilation by adding
    an exception for shtest-encoding.py test file containing non-UTF-8
    characters (Igor Luppi). LP: #2138890.
  * d/rules: Remove some invalid CLC targets.
  * Allow to build without CLC packages.
  * d/llvm-libunwind1.symbols: Update for 22.

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 20 Jan 2026 10:45:02 +0100

llvm-toolchain-snapshot (1:22~++20251023025710+3f47a7be1ae6-1~exp5) experimental; urgency=medium

  * Also make the snapshot builds SLOPPY_BUILDS.
  * d/debian/liboffload-X.Y-dev.install.in: Install again libomptarget.so.

 -- Matthias Klose <doko@debian.org>  Wed, 05 Nov 2025 12:54:34 +0100

llvm-toolchain-snapshot (1:22~++20251023025710+3f47a7be1ae6-1~exp4) experimental; urgency=medium

  * Add support to disable the OCAML build for specific releases.
  * Set explicit architecture list for libfuzzer-dev.
  * Update libomp5 symbols for armhf.
  * Make the library packages libc++1, libc++abi1, libomp5 and llvm-libunwind1
    M-A: same, moving the real files to /usr/lib/<multiarch>.  Provide the
    symlinks in /usr/lib/llvm-X.Y/lib in the correspinding -dev packages.
    Addresses: #1116212.
  * Revert parts of the SKIP_COMMON_PACKAGES changes, the move of the files
    to another package and the breaks/replaces are not needed anymore.
  * d/rules: Use POLLY_ARCHS instead of POLLY_NO_ARCHS.
  * Factor out BOLT_ARCHS and HWASAN_ARCHS.
  * When not building the common packages,
    - Remove the files in these packages according to their .install file.
    - Add a build dependency on the libllvm<next version> package.
  * d/rules: Don't remove the intermediate build files. This increases
    the build form 15GB to 35GB, far lower than the 100GB buildd limit.
  * llvm-X.Y-dev: Create a debian_config.mk Makefile snippet to record
    component builds for every architecture.  Used by llvm-defaults to
    avoid hard-coding these again.
  * Fix build dependencies when not building the common library packages.
  * d/rules: Differentiate between COMMON_PKGS and COMMON_BUILD_DEPS.
  * d/rules: Build again omp on mips64el and riscv64, as done in 19.
  * Install asan_symbolize in clang-tools, same as hwasan_symbolize.
  * Copy libc++1 and libc++abi1 symbols files from 21, let the buildds update.
  * d/rules: Use a d/shlibs.local file when not building the common libraries.
  * Rename the python extension ompdModule.so to one with the
    architecture specific extension.
  * d/rules, d/*.{install,links,lintian-overrides}.in: Use a macro LLVM_DIR.
  * d/rules: Move OMP_ARCHS and LIBUNWIND_ARCHS macro usage after definition.
  * ompd is not available on armhf.

 -- Matthias Klose <doko@debian.org>  Wed, 05 Nov 2025 05:00:23 +0100

llvm-toolchain-snapshot (1:22~++20251023025710+3f47a7be1ae6-1~exp3) experimental; urgency=medium

  * Update symbols files for libc++1, libc++abi1, libomp5 and
    llvm-libunwind1 on amd64, arm64, armhf, i386, ppc64el and s390x.
  * debian/debian-llvm-testsuite.bats: Reformat and sort LIST.
  * d/rules: Don't call dh_makeshlibs for libomp5 twice.
  * d/rules: Ignore errors from dh_makeshlibs --remaining-packages.
    Let's collect symbols diffs first.
  * Move libomptarget library from libomp5 to liboffload-X.Y.
  * Update libomp5 symbols for 22.
  * d/rules: New macro SLOPPY_BUILD to avoid build failures caused by
    additional build artifacts or missing symbols.  Better to collect
    that information in build logs and apply it in follow-up uploads.
    Turn it on for architectures other than amd64 and arm64 for now.

 -- Matthias Klose <doko@debian.org>  Thu, 30 Oct 2025 10:17:21 +0100

llvm-toolchain-snapshot (1:22~++20251023025710+3f47a7be1ae6-1~exp2) experimental; urgency=medium

  [ Sylvestre Ledru ]
  * Install lldb-mcp-22 in lldb-22
  * Disable the build of omptest
  * Ship yaml2macho-core in lldb-X.Y
  * Ship lldb-tblgen-22 in lldb-X.Y
  * Rename libclc/check_external_calls.sh => libclc/check_external_funcs.sh
  * Ship llvm-offload-binary-22 in llvm-X.Y
  * Disable libc on focal & bullseye
    https://github.com/llvm/llvm-project/issues/163091
  * Don't install /share/doc/LLVM/llvm/ocaml-html/ anymore. probably caused by
    4721202f353aa39a6a652447de8ba4a0195b0e81
  * install libMIFDialect.a in libflang

  [ Matthias Klose ]
  * d/libclang-rt-X.Y-dev.install.in: liborc_rt* is not available on powerpc.
  * Stop using gold, and use the GNU BFD linker where lld is not working.
  * Set the baseline for Ubuntu/s390x 26.04 LTS and later to z15.
  * d/rules: Remove unused macro LLDB_ENABLE.
  * Turn off offloading on ppc64 and hurd-amd64. Unsupported.
  * d/rules: Don't turn off COMPILER_RT_USE_BUILTINS_LIBRARY and
    LIBCXX_USE_COMPILER_RT on s390x. Closes: #1114980.
  * Diffentiate between LLD_ARCHS and LLD_BUILD_ARCHS. On some architectures
    lld is not usable for the bootstrap.
  * Try to turn off compiler-rt on hurd-amd64.
  * d/libclang1-X.Y.symbols.in: Add LLVM_21 symbol version, remove specific
    symbols covered by the added symbol version.
  * Fix usage-wrapper usage on hurd-amd64.
  * Introduce The Ubuntu Resolute distro, remove obsolete plucky patch.
  * d/rules: Add alpha do BINUTILS_ARCHS.
  * Always build the LLVMgold plugin, independent of the linker used for
    the build.
  * Define -DPPC_LINUX_DEFAULT_IEEELONGDOUBLE=ON on all architectures for correct
    cross compilers. Except on powerpc and ppc64, where it thinks it has this
    feature also on the host.
  * d/rules: Fix $ expansion in dpkg-query call.
  * d/rules: Factor out LIBUNWIND_ARCHS macro.
  * libomptarget is not built on ppc64.
  * Limit architecture of binary packages to the ones supported by LLVM.
  * d/libomp-X.Y-dev.install.in, d/libomp5-X.Y.install.in: Use OFFLOAD_ARCHS.
  * d/control*: Remove ${t64:Provides}.
  * Add patch to useRVA23U64 baseline on riscv64. Not applied by default.
  * python3-lldb-X.Y: Remove some dangling symlinks and use dh-python
    to create proper dependencies for the package. Addresses: #1106112.
  * d/p/protobuf_3.21.patch: Remove obsolete patch. Addresses: #1093963.
  * Remove obsolete build dependencies libjsoncpp-dev and pkg-config.
    Addresses: #1093961.
  * Add command completion for the versioned clang binary. Addresses: #1109370.
  * clang-tools: Install hwasan_symbolize on x32.
  * Build polly again on powerpc.
  * Also call dh_python3 for python3-clang-X.Y.
  * d/rules: New macro SMALL_DISK to remove intermediate files during the build.
    Turned on by default for buildd constraints.
  * d/rules: Fix stripping RPATH/RUNPATH.
  * Fix the binary-indep only build.
  * d/rules: Add dependencies for various build targets. Addresses: #1105541.
  * Rename libunwind1 to llvm-libunwind1, the namespace is already taken
    by the libunwind source package.
  * For the new llvm-libunwind1, libc++abi1 and libc++1 packages:
    - Add symbols files.
    - Add proper breaks/replaces for the previous packages built from
      this source.
    - Relax the dependency from the corresponding -dev packages
      from = to >=, needed when these new packages will be built from
      newer LLVM versions.
    - These should be Multi-Arch: same, but it is not yet possible,
      because these also exist in /usr/lib/llvm-21/lib ...
  * Drop major version from libomp5-22, rename to libomp5.
  * Introduce a macro SKIP_COMMON_PACKAGES to disable the build of packages built
    from an newer LLVM version (libc++1, libc++abi1, libomp5, llvm-libunwind1).
    When not building these packages, move the links in /usr/lib/llvm-X.Y/lib
    into the corresponding -dev packages and add a replaces to the last version
    building the common packages.
  * Fix libPolly installation on powerpc.
  * Bump the debhelper dependency to 11, d/compat was already at 11.
  * Bump standards version.

  [ Norbert Lange ]
  * Move clang-cl and clang-scan-deps from clang-tools to the clang package.
  * Build build compiler-rt for mingw-w64.

  [ Andres Salomon ]
  * Drop major version from libc++1-22, libc++abi1-22, and libunwind-22
    package names (eg, libc++1-22 -> libc++1). Upstream guarantees a stable
    ABI.

 -- Matthias Klose <doko@debian.org>  Wed, 29 Oct 2025 07:06:11 +0100

llvm-toolchain-snapshot (1:22~++20250731080150+be449d6b6587-1~exp1) experimental; urgency=medium

  * prepare version 22
  * Install llvm-ir2vec in llvm-22
  * install llvm-offload-wrapper in llvm-22

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 31 Jul 2025 08:03:32 +0200

llvm-toolchain-snapshot (1:22~++20250730065027+fc5976118d52-1~exp1) experimental; urgency=medium

  * prepare version 22
  * Install llvm-ir2vec in llvm-22
  * Refresh libomp5 symbol

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 30 Jul 2025 18:53:10 +0200

llvm-toolchain-21 (1:21.1.4-2) unstable; urgency=medium

  * Rename debian-llvm-testsuite.sh => debian-llvm-testsuite.bats
    And don't call it with bash
    It is a bats script
    (Closes: #1118487)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 22 Oct 2025 09:53:11 +0200

llvm-toolchain-21 (1:21.1.4-1) unstable; urgency=medium

  * new upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 21 Oct 2025 11:03:29 +0200

llvm-toolchain-21 (1:21.1.3-1) unstable; urgency=medium

  * new upstream release
  * refresh the list of the symbols in libclang & libomp (Closes: #1117600)
  * Do not test gold usage anymore. lld or mold are now much better
    (Closes: #1117385)
  * Reame qualify-clang.sh to debian-llvm-testsuite.sh as it is now doing
    much more
  * adjust debian-llvm-testsuite.sh to use lld instead of gold
    and debian/tests/integration-test-suite-test

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 12 Oct 2025 17:16:05 +0200

llvm-toolchain-21 (1:21.1.2-4) unstable; urgency=medium

  [ Sylvestre Ledru ]
  * Cherry-pick 149665 to fix an armhf time64_t failure
    Thanks to Gianfranco Costamagna for the patch

  [ Matthias Klose ]
  * d/libclang-rt-X.Y-dev.install.in: liborc_rt* is not available on powerpc.

  [ Andres Salomon ]
  * Drop major version from libc++1-21, libc++abi1-21, and libunwind-21
    package names (eg, libc++1-21 -> libc++1). Upstream guarantees a stable
    ABI.
  * Add SONAME to libunwind (-> libunwind1) (closes: #1116211)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 07 Oct 2025 11:55:16 +0200

llvm-toolchain-21 (1:21.1.2-3) unstable; urgency=medium

  [ Sylvestre Ledru ]
  * Also install xray on other archs in libclang-common-X.Y-dev
    (change made in 20)

  [ Samuel Thibault ]
  * debian/patches/hurd/47211c4b96e99a3344a71570a99b991c5f5c1c01.patch: Fix
    build on hurd.

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 26 Sep 2025 18:23:56 +0200

llvm-toolchain-21 (1:21.1.2-2) unstable; urgency=medium

  * Bootstrap with llvm-spirv-19 instead of 21
    (experimental and unstable build machines are different)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 25 Sep 2025 14:51:34 +0200

llvm-toolchain-21 (1:21.1.2-1) unstable; urgency=medium

  * Bump llvm-spirv dep to 21
  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 24 Sep 2025 08:09:15 +0200

llvm-toolchain-21 (1:21.1.1-1) unstable; urgency=medium

  * New upstream release
  * never use libunwind for libc++abi
    Thanks to Norbert Lange for the fix
  * Build compiler builtin for s390x

  [ Andres Salomon ]
  * Fix incorrect major version dependency in libc++-21-dev.

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 20 Sep 2025 09:12:54 +0200

llvm-toolchain-21 (1:21.1.0-1) unstable; urgency=medium

  * New upstream release
  * I am not going to upload -20 in unstable to avoid the maintenance burden

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 27 Aug 2025 10:47:13 +0200

llvm-toolchain-21 (1:21.1.0~+rc2-1~exp1) experimental; urgency=medium

  * Creation of the 21 branch
  * upload of the rc2 version
  * Try to use llvm-spirv-20

  [ Jianfeng Liu ]
  * Add CFLAGS/CXXFLAGS -mcmodel=medium on loong64 (Closes: #1107858)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 29 Jul 2025 17:24:17 +0200

llvm-toolchain-snapshot (1:21~++20250612091244+3f0cf742ac4e-1~exp1) experimental; urgency=medium

  [ Sylvestre Ledru ]
  * Remove llvm-gpu-loader like upstream
  * Remove libomptarget.devicertl.a as it seems it has been removed here
    https://github.com/llvm/llvm-project/pull/136359
  * Remove 0001-tools-clang-cmake-resolve-symlinks-in-ClangConfig.cmake.patch
    to see if it fixes: https://github.com/llvm/llvm-project/issues/132556
  * Also ship usr/lib/llvm-21/lib/amdgcn-amd-amdhsa/libompdevice.a
    usr/lib/llvm-21/lib/nvptx64-nvidia-cuda/libompdevice.a in
    libomp-21-dev
  * Lower flang python dep for Debian buster for apt.llvm.org
    lower-flang-py-dep.diff
  * Adjust the path to libomptarget*bc
  * revert a flang-rt change to fix
    https://github.com/llvm/llvm-project/issues/139220
  * Ship more clang-doc
  * Also install llvm-test-mustache-spec
  * Ship offload-arch as part of clang-tools-X-Y
    79cb6f05da37520949c006e26c5cef1826090d9d

  [ Matthias Klose ]
  * On ppc64el configure with -DPPC_LINUX_DEFAULT_IEEELONGDOUBLE=ON for
  * upcoming distros. Closes: #1113934.

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 12 Jun 2025 09:14:29 +0200

llvm-toolchain-snapshot (1:21~++20250322080030+20b5728b7b1c-1~exp1) experimental; urgency=medium

  [ Matthias Klose ]
  * d/rules: Distinguish between openmp and offload architectures.
  * Update libclang1 symbols file.
  * Update libomp symbols file, using symvers.
  * d/t/control: Remove explicit dependency on libstdc++-N-dev.
  * d/rules: Simplify permission settings for generated debhelper files.
  * d/rules: There's no more CMakeOutput.log anymore.

  [ Sylvestre Ledru ]
  * Prepare version 21
  * Merge recent changes from 19 and 20
  * Use lld as a linker instead of gold
  * clang-21 recommends clang-tools-21
    https://github.com/llvm/llvm-project/issues/117333
  * Do not install libclc header anymore.
    See a2b05761724e5243056988d9d6bf1a5a94715b74
    "The libclc headers are an implementation detail and are not
    intended to be used by others as OpenCL headers"
  * remove libc rpc files following upstream change
    8437b7f5584765ad4f7885500647657714930fbb
  * Add llvm-ml64 as part of the llvm-X.Y
    3c657ceef9ced068b0c7bc2f1d5fb74250720f6c
  * Add llvm-gpu-loader as part of the llvm-X.Y
    221b0117fd21d45098ead779a040a4b939a5c84f

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 22 Mar 2025 08:01:26 +0100

llvm-toolchain-20 (1:20.1.0-1~exp2) experimental; urgency=medium

  * Merge changes from the 19 branch

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 09 Mar 2025 10:52:27 +0100

llvm-toolchain-20 (1:20.1.0-1~exp1) experimental; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 06 Mar 2025 14:40:09 +0100

llvm-toolchain-20 (1:20.1.0~+rc3-1~exp1) experimental; urgency=medium

  * New snapshot release

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 27 Feb 2025 08:17:03 +0100

llvm-toolchain-20 (1:20.1.0~+rc2-1~exp2) experimental; urgency=medium

  [ Sylvestre Ledru ]
  * clang-20 recommends clang-tools-20
    https://github.com/llvm/llvm-project/issues/117333
  * remove old libomp-20-dev breaks/replaces
  * Cherry-pick upstream fix for issue 126358

  [ Matthias Klose ]
  * d/llvm-X.Y-linker-tools.links.in: Remove, no gold anymore. LP: #2098355.
  * d/rules: Simplify permission settings for generated debhelper files.
  * d/rules: There's no more CMakeOutput.log anymore.
  * d/libomp5-X.Y.symbols.in: Remove duplicate symbol.
  * d/rules: Update setting lld and gold archs.
  * d/rules: Don't use lld on ppc64, sparc64 and x32, apparently unsupported.
  * d/libclang-rt-X.Y-dev.install.in: Install liborc_rt* on loong64.
  * debian/patches/env-lld-package-metadata.diff: Update and re-enable.

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 14 Feb 2025 12:28:14 +0100

llvm-toolchain-20 (1:20.1.0~+rc2-1~exp1) experimental; urgency=medium

  [ Matthias Klose ]
  * d/t/control.in: Remove explicit dependency on libstdc++-N-dev.

  [ Sylvestre Ledru ]
  * new rc release
  * Disable env-lld-package-metadata.diff because of upstream changes

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 12 Feb 2025 13:23:30 +0100

llvm-toolchain-20 (1:20.1.0~+rc1-1~exp1) experimental; urgency=medium

  * First tag of 20.1.0
  * libLLVMOffload.so.20.0 => libLLVMOffload.so.20.1 to follow upstream change
  * Use lld as a linker instead of gold

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 03 Feb 2025 09:00:03 +0100

llvm-toolchain-20 (1:20~++20250130014317+8c2574832ed2-1~exp1) experimental; urgency=medium

  [ Matthias Klose ]
  * d/rules: Distinguish between openmp and offload architectures.
  * Update libclang1 symbols file.
  * Update libomp symbols file, using symvers.
  * d/t/control: Remove explicit dependency on libstdc++-N-dev.

  [ Sylvestre Ledru ]
  * Prepare the branch 20

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 30 Jan 2025 13:43:33 +0100

llvm-toolchain-snapshot (1:20~++20250107094038+ea14bdb0356c-1~exp1) experimental; urgency=medium

  [ Matthias Klose ]
  * bolt: Disable the check for /proc/self/map_files. Might not be available
    on build machines. LP: #2084316.
  * Fix compatibility with Python 3.13. Closes: #1084659.

  [ Sylvestre Ledru ]
  * New snapshot release
  * Install usr/lib/llvm-20/include/shared/rpc*.h in libllvmlibc-X.Y-dev

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 07 Jan 2025 21:41:10 +0100

llvm-toolchain-snapshot (1:20~++20241212011120+0cbdad4bd239-1~exp1) experimental; urgency=medium

  * Only build libc on supported arch (for real)
  * Ship bolt-binary-analysis in bolt

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 12 Dec 2024 13:22:30 +0100

llvm-toolchain-snapshot (1:20~++20241205084449+66a0a081338d-1~exp1) experimental; urgency=medium

  [ Matthias Klose ]
  * Build-depend on llvm-spirv-19 instead of llvm-spirv-18.
  * d/libclang-cppX.Y.links.in: Honor LLVM_VERSION_MINOR for the symlink.
  * Update watch file and add .git* files to exclude in the tarball.
  * d/rules: Add a BD_ALT_HELLO macro. Set it to anything else than "yes" to avoid
    generating alternative build dependencies on hello in the control file.

  [ Samuel Thibault ]
  * debian/libclang-common-X.Y-dev.install.in: Fix dh_install on hurd-any.

  [ John Paul Adrian Glaubitz ]
  * Don't try to install xray and profile headers on powerpc
  * Install liborc_rt-powerpc64.a on powerpc
  * Allow overriding the bootstrap compiler from the environment
  * Set compiler-rt default target arch on powerpc
  * Restrict compiler-rt build to default target arch on powerpc

  [ Sylvestre Ledru ]
  * experimental New snapshot release
  * flang-new has been renamed to flang (a flang-new still exists)
  * Use the | hello trick for g++-multilib for s390x / Ubuntu Oracular
  * Also install usr/lib/llvm-20/lib/libgomp.so.1 (links)
    Follow eccdb2489483ca58d2cb35bc38967a8e33117575
  * Ship fir-lsp-server in flang-20
  * Ship clang-sycl-linker in clang-tools
  * remove libLibcTableGenutil.a
    Removed in https://github.com/llvm/llvm-project/pull/117220/files
  * Ship liboffload in a new package

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 06 Dec 2024 18:14:31 +0100

llvm-toolchain-snapshot (1:20~++20241008102056+4d218caa7716-1~exp1) experimental; urgency=medium

  [ Matthias Klose ]
  * Build-depend on llvm-spirv-19 instead of llvm-spirv-18.
  * d/libclang-cppX.Y.links.in: Honor LLVM_VERSION_MINOR for the symlink.
  * Update watch file and add .git* files to exclude in the tarball.

  [ Samuel Thibault ]
  * debian/libclang-common-X.Y-dev.install.in: Fix dh_install on hurd-any.

  [ Sylvestre Ledru ]
  * New snapshot release
  * sync from 19 => snapshot

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 08 Oct 2024 10:21:13 +0200

llvm-toolchain-snapshot (1:20~++20240921071058+b177a9b6efb6-1~exp1) experimental; urgency=medium

  [ Matthias Klose ]
  * Add a .gitignore file with all toplevel upstream files and directories.
  * Add some memory tracking, getting some information on memory hogs.
  * Don't require g++-multilib on s390x for newer Ubuntu releases.
  * Factor-out ocaml architectures.
  * Don't try to install xray and profile headers on armel and armhf.
  * Disable ocaml on armhf, requires ocamlopt.
  * Factor-out omp architectures.
  * Disable openmp on riscv64 (ld: cannot find -lomptarget.rtl.host).
  * Factor-out flang architectures.
  * Disable flang on mips64el (currently not supported).
  * Don't try to install hwasan_symbolize on x32.
  * Don't try to install xray and profile headers on x32.
  * Fix installation of the shared libllvm and libclang-cpp libraries
    under their soname. Addresses: #1072200.
  * Drop some of the unnecessary libllvm symlinks.
  * debian/orig-tar.sh: Don't include .git/.github metadata.
  * debian/rules: Don't create a stamp for the override_dh_auto_install target.
  * debian/rules. Call again dh_ocaml. Closes: #1078235.
  * Disable openmp on mips64el (ld: cannot find -lomptarget.rtl.host).
  * Disable memory tracking on the Hurd and some ports architectures.
  * Also explicitly link with -latomic on mips64el.
  * Build without z3 on sh4 (ftbfs).
  * Also configure with -DLLVM_EXPERIMENTAL_TARGETS_TO_BUILD="M68k;Xtensa".
  * debian/qualify-clang.sh: Don't check for libclang-cpp.so.$VERSION symlink.
  * debian/tests/*: s/18/20/g.
  * libllvm20: Restore the symlink /usr/lib/llvm-20/lib/libLLVM.so.1, apparently
    CMake's LLVMExports.cmake requires it. But why?
  * Disable z3 again for Ubuntu, and make the libz3-dev (build) dependency
    conditional.
  * Use -mxgot on mips64el.
  * Disable tests on mips64el, they do timeout.
  * Consolidate disabling CMake's package validation checks a bit.
  * debian/qualify-clang.sh: Skip OpenMP test, if libomp-dev is not available.
  * Disable CMake's package validation check for libLLVM.so.1.
  * Disable the usage-wrapper/memory tracking by default.
  * Limit lldb autopkg test to the lldb architectures.
  * Generate debian/tests/* files.
  * Replace LLDB_DISABLE_ARCHS macro with LLDB_ARCHS macro.
  * Remove unused kfreebsd patches, and remove references to kfreebsd and s390.
  * Remove references to alpha, hppa, powerpcspe and sh4.
  * Fix usage-wrapper build dependency.
  * Move the libLLVM.so.1 symlink into llvm-20-dev.
  * debian/qualify-clang.sh: Skip llvmlibc test, if libllvmlibc-dev is not
    available.
  * Don't relax versioned shlibs dependencies for snapshot builds and
    prerelease versions.
  * libllvm20: No symlinks in the llvm-20 subdir. Addresses: #1081192, #1082495.

  [ Samuel Thibault ]
  * Add hurd-amd64 support.

  [ Aurelien Jarno ]
  * Enable lldb on riscv64.
  * Enable lldb autopkgtest on riscv64.

  [ YunQiang Su ]
  * also pass -mxgot in LDFLAGS.
  * d/p/mips-mlir-xgot.diff: Pass -mxgot for mlir.

  [ Sylvestre Ledru ]
  * New snapshot release
  * Remove clang-rename
    https://github.com/llvm/llvm-project/commit/40c45b6b43180221acb49f387e7d3158adf49e3e
  * Ensure that at least 1 CPU is used for build
    Thanks to Santiago Vila for the patch
    (Closes: #1082360)
  * Remove clang-pseudo
    https://github.com/llvm/llvm-project/pull/109154

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 21 Sep 2024 19:12:01 +0200

llvm-toolchain-snapshot (1:20~++20240919085205+77af9d10237f-1~exp1) experimental; urgency=medium

  [ Matthias Klose ]
  * Add a .gitignore file with all toplevel upstream files and directories.
  * Add some memory tracking, getting some information on memory hogs.
  * Don't require g++-multilib on s390x for newer Ubuntu releases.
  * Factor-out ocaml architectures.
  * Don't try to install xray and profile headers on armel and armhf.
  * Disable ocaml on armhf, requires ocamlopt.
  * Factor-out omp architectures.
  * Disable openmp on riscv64 (ld: cannot find -lomptarget.rtl.host).
  * Factor-out flang architectures.
  * Disable flang on mips64el (currently not supported).
  * Don't try to install hwasan_symbolize on x32.
  * Don't try to install xray and profile headers on x32.
  * Fix installation of the shared libllvm and libclang-cpp libraries
    under their soname. Addresses: #1072200.
  * Drop some of the unnecessary libllvm symlinks.
  * debian/orig-tar.sh: Don't include .git/.github metadata.
  * debian/rules: Don't create a stamp for the override_dh_auto_install target.
  * debian/rules. Call again dh_ocaml. Closes: #1078235.
  * Disable openmp on mips64el (ld: cannot find -lomptarget.rtl.host).
  * Disable memory tracking on the Hurd and some ports architectures.
  * Also explicitly link with -latomic on mips64el.
  * Build without z3 on sh4 (ftbfs).
  * Also configure with -DLLVM_EXPERIMENTAL_TARGETS_TO_BUILD="M68k;Xtensa".
  * debian/qualify-clang.sh: Don't check for libclang-cpp.so.$VERSION symlink.
  * debian/tests/*: s/18/20/g.
  * libllvm20: Restore the symlink /usr/lib/llvm-20/lib/libLLVM.so.1, apparently
    CMake's LLVMExports.cmake requires it. But why?
  * Disable z3 again for Ubuntu, and make the libz3-dev (build) dependency
    conditional.
  * Use -mxgot on mips64el.
  * Disable tests on mips64el, they do timeout.
  * Consolidate disabling CMake's package validation checks a bit.
  * debian/qualify-clang.sh: Skip OpenMP test, if libomp-dev is not available.
  * Disable CMake's package validation check for libLLVM.so.1.
  * Disable the usage-wrapper/memory tracking by default.
  * Limit lldb autopkg test to the lldb architectures.
  * Generate debian/tests/* files.
  * Replace LLDB_DISABLE_ARCHS macro with LLDB_ARCHS macro.
  * Remove unused kfreebsd patches, and remove references to kfreebsd and s390.
  * Remove references to alpha, hppa, powerpcspe and sh4.
  * Fix usage-wrapper build dependency.
  * Move the libLLVM.so.1 symlink into llvm-20-dev.
  * debian/qualify-clang.sh: Skip llvmlibc test, if libllvmlibc-dev is not
    available.

  [ Samuel Thibault ]
  * Add hurd-amd64 support.

  [ Aurelien Jarno ]
  * Enable lldb on riscv64.
  * Enable lldb autopkgtest on riscv64.

  [ YunQiang Su ]
  * also pass -mxgot in LDFLAGS.
  * d/p/mips-mlir-xgot.diff: Pass -mxgot for mlir.

  [ Sylvestre Ledru ]
  * New snapshot release
  * Remove clang-rename
    https://github.com/llvm/llvm-project/commit/40c45b6b43180221acb49f387e7d3158adf49e3e

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 19 Sep 2024 08:53:00 +0200

llvm-toolchain-snapshot (1:20~++20240726085032+92a06546ab50-1~exp2) experimental; urgency=medium

  * Ship usr/lib/llvm-20/lib/clang/20/include/llvm_offload_wrappers in
    libclang-common-20-dev
  * Ship /usr/lib/llvm-20/lib/libFlangOpenMPTransforms.a in
    libflang-20-dev

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 13 Aug 2024 19:19:23 +0200

llvm-toolchain-snapshot (1:20~++20240726085032+92a06546ab50-1~exp1) experimental; urgency=medium

  [ John Paul Adrian Glaubitz ]
  * Disable LLVM testsuite on x32
  * Install liborc_rt-x86_64.a on x32
  * Install hwasan_symbolize on x32

  [ Norbert Lange ]
  * build lldb with Intel PT support on x86, amd64

  [ Sylvestre Ledru ]
  * Adjust the clang-X-doc path after the change
    d7dd778cde84110e38521a6b55dfeb4e1c649ec2
  * bring back clang-nvlink-wrapper
    following upstream commit: 37d0568a6593adfe791c1327d99731050540e97a
  * rename llvm-omp-device-info to llvm-offload-device-info
    following 7102592af740ed9f8b388c12dd2182039a58167d
  * ship llvm-ctxprof-util in llvm-X.Y-tools
  * ship llvm-cgdata in llvm-X.Y-tools
  * snapshot is now 20

  [ Matthias Klose ]
  * Pass --package-metadata on distros with supporting linkers (starting
    with Debian trixie and Ubuntu noble).
    The package metadata is constructed from the environment variables
    ELF_PACKAGE_METADATA.
    Setting NO_PKG_METADATA=1 disables the generation of the package metadata.

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 26 Jul 2024 08:50:50 +0200

llvm-toolchain-19 (1:19.1.7-2) unstable; urgency=medium

  [ Sylvestre Ledru ]
  * Skip some autopkgtests on non intel cpu. Closes: #1094233.
  * clang-19 recommends clang-tools-19
    https://github.com/llvm/llvm-project/issues/117333
  * Also add binutils-gold in the integration-test-suite-test testsuite
  * Add binutils-gold as build dep

  [ Matthias Klose ]
  * d/t/control.in: Add binutils-gold as explicit test dependency.
    Don't add binutils-gold as a build dependency, just build with the
    default linker.
  * Do changes from last upload in d/t/control.in, not in d/t/control.
  * d/rules: Simplify permission settings for generated debhelper files.

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 25 Feb 2025 18:05:48 +0100

llvm-toolchain-19 (1:19.1.7-1) unstable; urgency=medium

  [ Matthias Klose ]
  * Update libclang1 symbols file.

  [ Sylvestre Ledru ]
  * New upstream release
  * Rewrite qualify-clang.sh with bats
    Might fail on some archs
  * Tests: integration-test-suite-test
    Remove explicit dep libstdc++-14

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 14 Jan 2025 14:16:47 +0100

llvm-toolchain-19 (1:19.1.6-1) unstable; urgency=medium

  [ Sylvestre Ledru ]
  * New upstream release. Should be the last of 19
    And the one in the next Debian release
  * Remove the capability to be able to disable C++ Exceptions in libc++
  * Bring back C++ exceptions on s390x for libc++ (LP: #2086782)
  * Disable -Bsymbolic-function on Ubuntu for causing:
    https://github.com/llvm/llvm-project/issues/59432#issuecomment-2500694332

  [ Matthias Klose ]
  * bolt: Disable the check for /proc/self/map_files. Might not be available
    on build machines. LP: #2084316.
  * Fix compatibility with Python 3.13. Closes: #1084638.

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 18 Dec 2024 10:01:43 +0100

llvm-toolchain-19 (1:19.1.5-1) unstable; urgency=medium

  [ Matthias Klose ]
  * Better correct than less cryptic. Fix BD_ALT_HELLO substitutions.

  [ John Paul Adrian Glaubitz ]
  * Install liborc_rt-powerpc64.a on powerpc

  [ Sylvestre Ledru ]
  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 04 Dec 2024 13:11:08 +0100

llvm-toolchain-19 (1:19.1.4-1) unstable; urgency=medium

  [ Sylvestre Ledru ]
  * New upstream release
  * Decrease the risk of getting "hello" as package (instead of installing
    wasi-libc)
    (Closes: #1086702)

  [ Matthias Klose ]
  * d/rules: Add a BD_ALT_HELLO macro. Set it to anything else than "yes" to avoid
    generating alternative build dependencies on hello in the control file.

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 26 Nov 2024 10:14:24 +0100

llvm-toolchain-19 (1:19.1.3-2) unstable; urgency=medium

  * enable OpenMP (without offloading) on riscv64 (and mips64el and loong64)
    Thanks to Aurélien Jarno for this patch
    (Closes: #1087280)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 11 Nov 2024 12:45:14 +0100

llvm-toolchain-19 (1:19.1.3-1) unstable; urgency=medium

  * New release

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 30 Oct 2024 21:56:13 +0100

llvm-toolchain-19 (1:19.1.2-2) unstable; urgency=medium

  [ Samuel Thibault ]
  * Disable time64_t ABI on hurd-i386 too.

  [ Sylvestre Ledru ]
  * Use the | hello trick for g++-multilib for s390x / Ubuntu Oracular
  * Enable compiler-rt runtime again for 32bit time_t64 architectures.
    (Closes: #1085853)
  * Backport Ubuntu 25.04 - Plucky Puffin support

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 27 Oct 2024 21:05:41 +0100

llvm-toolchain-19 (1:19.1.2-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * patches/hurd/hurd-f_type.diff: Fix hurd build against glibc ≥ 2.39.
  * libomp-X.Y-dev.install.in: Don't try to ship ompd gdb plugin on
    hurd-amd64 ; ship libomptarget.
  * libomp5-X.Y.install.in: Ship libomptarget.
  * libomp5-X.Y.symbols.in: Fix symbols on hurd-any.
  * rules: Fix syntax on non-linux.

  [ John Paul Adrian Glaubitz ]
  * Don't try to install xray and profile headers on powerpc

  [ Sylvestre Ledru ]
  * New release
  * Update Standards version to 4.7.0

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 15 Oct 2024 15:11:47 +0200

llvm-toolchain-19 (1:19.1.1-1) unstable; urgency=medium

  [ Sylvestre Ledru ]
  * Don't enable intel-pt on Ubuntu Bionic
  * Add disabled info in the build log
  * Disable LLVM libc on bionic
  * Fix the bootstrapping (Closes: #1082610)
    Thanks to Andrey Feofilaktov for the patch
  * clang provides objc++-compiler (Closes: #1082744)

  [ Matthias Klose ]
  * New upstream release
  * Update watch file and add .git* files to exclude in the tarball.

 -- Matthias Klose <doko@debian.org>  Wed, 02 Oct 2024 06:11:01 +0200

llvm-toolchain-19 (1:19.1.0-4) unstable; urgency=medium

  [ Sylvestre Ledru ]
  * Adjust the workaround for apt.llvm.org version upgrades
    https://github.com/llvm/llvm-project/issues/109276
  * Ensure that at least 1 CPU is used for build
    Thanks to Santiago Vila for the patch
    (Closes: #1082360)

  [ Matthias Klose ]
  * Don't relax versioned shlibs dependencies for snapshot builds and
    prerelease versions.
  * libllvm19: No symlinks in the llvm-19 subdir. Closes: #1081192, #1082495.

 -- Matthias Klose <doko@debian.org>  Sun, 22 Sep 2024 16:36:31 +0200

llvm-toolchain-19 (1:19.1.0-3) unstable; urgency=medium

  * Fix typo in dh_makeshlibs calls.

 -- Matthias Klose <doko@debian.org>  Wed, 18 Sep 2024 17:26:29 +0200

llvm-toolchain-19 (1:19.1.0-2) unstable; urgency=medium

  * Call dh_makeshlibs with the version of the first upstream
    release (1:19.1.0). Looking back at the 1.18 release cycle,
    these libraries didn't see any instability in the ABIs.
  * debian/qualify-clang.sh: Fix typo.

 -- Matthias Klose <doko@debian.org>  Wed, 18 Sep 2024 10:29:19 +0200

llvm-toolchain-19 (1:19.1.0-1) unstable; urgency=medium

  * New upstream release 19.1.0.

  [ Matthias Klose ]
  * debian/qualify-clang.sh: Skip llvmlibc test, if libllvmlibc-dev is not
    available.
  * Build-depend on llvm-spirv-19.

  [ YunQiang Su ]
  * also pass -mxgot in LDFLAGS.
  * d/p/mips-mlir-xgot.diff: Pass -mxgot for mlir.

 -- Matthias Klose <doko@debian.org>  Tue, 17 Sep 2024 18:04:21 +0200

llvm-toolchain-19 (1:19.1.0~++rc4-5) unstable; urgency=medium

  * Move the libLLVM.so.1 symlink into llvm-19-dev. Closes: #1081192.

 -- Matthias Klose <doko@debian.org>  Mon, 09 Sep 2024 11:20:16 +0200

llvm-toolchain-19 (1:19.1.0~++rc4-4) unstable; urgency=medium

  [ Matthias Klose ]
  * Consolidate disabling CMake's package validation checks a bit.
  * debian/qualify-clang.sh: Skip OpenMP test, if libomp-dev is not available.
  * Disable CMake's package validation check for libLLVM.so.1.
  * Limit lldb autopkg test to the lldb architectures.
  * Generate debian/tests/* files.
  * Disable the usage-wrapper/memory tracking by default.
  * Replace LLDB_DISABLE_ARCHS macro with LLDB_ARCHS macro.
  * Remove unused kfreebsd patches, and remove references to kfreebsd and s390.
  * Remove references to alpha, hppa, powerpcspe and sh4.
  * Fix usage-wrapper build dependency.

  [ Aurelien Jarno ]
  * Enable lldb on riscv64.
  * Enable lldb autopkgtest on riscv64.

 -- Matthias Klose <doko@debian.org>  Sun, 08 Sep 2024 17:36:43 +0200

llvm-toolchain-19 (1:19.1.0~++rc4-2) unstable; urgency=medium

  * Disable z3 again for Ubuntu, and make the libz3-dev (build) dependency
    conditional.
  * Use -mxgot on mips64el.
  * Disable tests on mips64el, they do timeout.

 -- Matthias Klose <doko@debian.org>  Wed, 04 Sep 2024 15:16:40 +0200

llvm-toolchain-19 (1:19.1.0~++rc4-1) unstable; urgency=medium

  * New release candidate.

  [ Matthias Klose ]
  * Also explicitly link with -latomic on mips64el.
  * Disable openmp on loong64 (ld: cannot find -lomptarget.rtl.host).
  * Build without z3 on sh4 (ftbfs).
  * Also configure with -DLLVM_EXPERIMENTAL_TARGETS_TO_BUILD="M68k;Xtensa".
  * debian/tests/*: s/18/19/.
  * debian/qualify-clang.sh: Don't check for libclang-cpp.so.$VERSION symlink.
  * libllvm19: Restore the symlink /usr/lib/llvm-19/lib/libLLVM.so.1, apparently
    CMake's LLVMExports.cmake requires it. But why?

  [ Samuel Thibault ]
  * Add hurd-amd64 support.

  [ Sylvestre Ledru ]
  * Remove the cmake dependency on libLibcTableGenUtil.a
    see https://github.com/llvm/llvm-project/issues/99819
  * New snapshot release

 -- Matthias Klose <doko@debian.org>  Tue, 03 Sep 2024 21:48:12 +0200

llvm-toolchain-19 (1:19.1.0~++rc3-2) unstable; urgency=medium

  * Fix binary-indep build.
  * Disable openmp on mips64el (ld: cannot find -lomptarget.rtl.host).
  * Disable memory tracking on the Hurd and some ports architectures.

 -- Matthias Klose <doko@debian.org>  Sat, 31 Aug 2024 08:10:14 +0200

llvm-toolchain-19 (1:19.1.0~++rc3-1) unstable; urgency=medium

  * Add a .gitignore file with all toplevel upstream files and directories.
  * Add some memory tracking, getting some information on memory hogs.
  * Don't require g++-multilib on s390x for newer Ubuntu releases.
  * Factor-out ocaml architectures.
  * Don't try to install xray and profile headers on armel and armhf.
  * Disable ocaml on armhf, requires ocamlopt.
  * Factor-out omp architectures.
  * Disable openmp on riscv64 (ld: cannot find -lomptarget.rtl.host).
  * Factor-out flang architectures.
  * Disable flang on mips64el (currently not supported).
  * Don't try to install hwasan_symbolize on x32.
  * Don't try to install xray and profile headers on x32.
  * Fix installation of the shared libllvm and libclang-cpp libraries
    under their soname. Closes: #1072200.
  * Drop some of the unnecessary libllvm symlinks.
  * debian/orig-tar.sh: Don't include .git/.github metadata.
  * debian/rules. Call again dh_ocaml. Closes: #1078234.
  * debian/rules: Don't create a stamp for the override_dh_auto_install target.

 -- Matthias Klose <doko@debian.org>  Fri, 30 Aug 2024 19:32:59 +0200

llvm-toolchain-19 (1:19.1.0~++rc3-1~exp1) experimental; urgency=medium

  [ Matthias Klose ]
  * ld.lld: When no package-metadata option is given, fall-back
    to the envvar ELF_PACKAGE_METADATA.

  [ Emanuele Rocca ]
  * Enable bolt on arm64, now supported upstream.

  [ Sylvestre Ledru ]
  * remove llvm-cgdata - see 9e90c40564e21dc5f1a12e08cfdf29305aaf9f50
  * New snapshot release

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 20 Aug 2024 19:52:02 +0200

llvm-toolchain-19 (1:19.1.0~++rc2-1~exp1) experimental; urgency=medium

  * New testing release

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 05 Aug 2024 15:25:06 +0200

llvm-toolchain-19 (1:19.1.0~++20240724103243+7af27be6633a-1~exp1) experimental; urgency=medium

  [ John Paul Adrian Glaubitz ]
  * Disable LLVM testsuite on x32
  * Install liborc_rt-x86_64.a on x32
  * Install hwasan_symbolize on x32

  [ Norbert Lange ]
  * build lldb with Intel PT support on x86, amd64

  [ Sylvestre Ledru ]
  * Prepare upload to 19
  * Adjust the clang-X-doc path after the change
    d7dd778cde84110e38521a6b55dfeb4e1c649ec2
  * bring back clang-nvlink-wrapper
    following upstream commit: 37d0568a6593adfe791c1327d99731050540e97a
  * ship llvm-cgdata

  [ Matthias Klose ]
  * Pass --package-metadata on distros with supporting linkers (starting
    with Debian trixie and Ubuntu noble).
    The package metadata is constructed from the environment variables
    ELF_PACKAGE_METADATA.
    Setting NO_PKG_METADATA=1 disables the generation of the package metadata.

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 28 Jul 2024 21:39:57 +0200

llvm-toolchain-snapshot (1:19~++20240529093513+2cfea14a57ad-1~exp1) experimental; urgency=medium

  * experimental New snapshot release
  * after upstream 330d8983d25d08580fc1642fea48b2473f47a9da
    adjust the RUNTIMES build to include offload (was openmp/libomptarget)
  * try to build with LLVM_LIBC_GPU_BUILD
  * Move openmp from PROJECTS to RUNTIMES
    Should fix:
    https://github.com/llvm/llvm-project/issues/90707
  * Also ship libc++.modules.json in libc++-19-dev-wasm32
  * Install libLibcTableGenUtil and rpc files in llvmlibc
  * Ship zos_wrappers/builtins.h in libclang-common-19-dev
  * Disable openmp on i386 - wasn't officially supported
  * Disable the cmake check for LibcTableGenUtil. Closes upstream issue #92359
  * Ship usr/lib/llvm-@LLVM_VERSION@/lib/libCUF*.a in libflang
  * Ship reduce-chunk-list in llvm

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 29 May 2024 09:36:25 +0200

llvm-toolchain-snapshot (1:19~++20240421021844+e095d978ba47-1~exp1) experimental; urgency=medium

  [ Matthias Klose ]
  * Make libclang-common-19-dev architecture dependent.
  * Add python3-pexpect in the build dep for lldb.
  * Fix sanitizer build on 32bit time_t64 architectures.
  * Refresh the 23-strlcpy_strlcat_warning_removed patch.
  * Build-depend on llvm-spirv-18 instead of llvm-spirv-17.
  * Add a stage1 profile to disable curl, grpc and spirv.

  [ Sylvestre Ledru ]
  * New snapshot release
  * Also install libMLIRExecutionEngineShared.so
  * Remove lang-to-external-fc to match upstream change in
    4841d70a4b7d7cd8c492c16a9da339ec75bca135

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 21 Apr 2024 14:21:37 +0200

llvm-toolchain-snapshot (1:19~++20240304085905+c7fdd8c11e54-1~exp1) experimental; urgency=medium

  [ Sylvestre Ledru ]
  * New snapshot release
  * hwasan_symbolize is now built also on i386
  * Update of the libomp symbols
  * Also install usr/lib/llvm-19/lib/libLLVM.so.1
    and usr/lib/llvm-19/lib/libLLVM.so.19.0
  * Install clang-installapi as part of clang-tools
  * Disable the install of libomp in sub arch
    Following 1977404d20ab29ff78a58d8c0f1f4c5e7aef6b16

  [ John Paul Adrian Glaubitz ]
  * Install *clang_rt* on sparc and sparc64
  * Run chrpath for libclang on sparc and sparc64

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 04 Mar 2024 09:00:56 +0100

llvm-toolchain-snapshot (1:19~++20240125092523+41fe98a6e7e5-1~exp1) experimental; urgency=medium

  * branch of 19
  * refresh libomp5 symbol list
  * For the usage of -DLIBCXXABI_USE_LLVM_UNWINDER=OFF when we don't build unwind
    https://github.com/llvm/llvm-project/issues/77846
  * remove the unconditionally defined -DLIBUNWIND_USE_COMPILER_RT=ON
  * Also pass -DLIBCXXABI_USE_LLVM_UNWINDER:BOOL=OFF to libcxx-wasm32-wasi builds

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 25 Jan 2024 14:51:10 +0100

llvm-toolchain-18 (1:18.1.8-15) unstable; urgency=medium

  [ Matthias Klose ]
  * d/t/control: Remove explicit dependency on libstdc++-N-dev.

  [ Sylvestre Ledru ]
  * Skip some autopkgtests on non intel cpu

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 16 Jan 2025 14:16:06 +0100

llvm-toolchain-18 (1:18.1.0~rc4-1) unstable; urgency=medium

  [ John Paul Adrian Glaubitz ]
  * Install *clang_rt* on sparc and sparc64
  * Run chrpath for libclang on sparc and sparc64

  [ Sylvestre Ledru ]
  * New snapshot release
  * add -DLIBCXX_INSTALL_MODULES=ON to install libc++ C++-20 modules
    see https://discourse.llvm.org/t/libc-c-23-module-installation-support/77061/1
  * Add a new package libllvmlibc-18-dev to ship LLVM libc (experimental for now)
    (amd64, arm64 and armhf)
  [ John Paul Adrian Glaubitz ]
  * Install *clang_rt* on sparc and sparc64
  * Run chrpath for libclang on sparc and sparc64

  [ Sylvestre Ledru ]
  * New snapshot release
  * add -DLIBCXX_INSTALL_MODULES=ON to install libc++ C++-20 modules
    see https://discourse.llvm.org/t/libc-c-23-module-installation-support/77061/1
  * Add a new package libllvmlibc-18-dev to ship LLVM libc (experimental for now)
    (amd64, arm64 and armhf)
  * Also install usr/lib/llvm-19/lib/libLLVM.so.1
    and usr/lib/llvm-19/lib/libLLVM.so.18.0

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 28 Feb 2024 11:08:41 +0100

llvm-toolchain-18 (1:18.1.0~rc2-4) unstable; urgency=medium

  * Fix 32bit builds, exclude i386, don't build clang-rt there
  * Revert gold linker on mips64el
  * Disable stack protector on mips64el
  [ John Paul Adrian Glaubitz ]
  * Install *clang_rt* on sparc and sparc64
  * Run chrpath for libclang on sparc and sparc64

  [ Sylvestre Ledru ]
  * add -DLIBCXX_INSTALL_MODULES=ON
    see https://discourse.llvm.org/t/libc-c-23-module-installation-support/77061/1
    Ship libc++-18-dev /usr/lib/llvm-18/lib/libc++.modules.json /usr/lib/llvm-18/include/c++/v1/std.compat.cppm
    /usr/lib/llvm-18/include/c++/v1/std.cppm
  [ John Paul Adrian Glaubitz ]
  * Install *clang_rt* on sparc and sparc64
  * Run chrpath for libclang on sparc and sparc64

  [ Sylvestre Ledru ]
  * add -DLIBCXX_INSTALL_MODULES=ON to install libc++ C++-20 modules
    see https://discourse.llvm.org/t/libc-c-23-module-installation-support/77061/1
  [ John Paul Adrian Glaubitz ]
  * Install *clang_rt* on sparc and sparc64
  * Run chrpath for libclang on sparc and sparc64

  [ Sylvestre Ledru ]
  * add -DLIBCXX_INSTALL_MODULES=ON to install libc++ C++-20 modules
    see https://discourse.llvm.org/t/libc-c-23-module-installation-support/77061/1
  * Add a new package libllvmlibc-18-dev to ship LLVM libc (experimental for now)
  * Fix 32bit builds, exclude i386, don't build clang-rt there
  * Revert gold linker on mips64el
  * Disable stack protector on mips64el
  * Fix 32bit builds, exclude i386, don't build clang-rt there
  * Revert gold linker on mips64el
  * Disable stack protector on mips64el

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 22 Feb 2024 17:58:05 +0100

llvm-toolchain-18 (1:18.1.0~rc2-3) unstable; urgency=medium

  * Add abi=+time64,+lfs only on 64bits system

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 11 Feb 2024 14:29:31 +0100

llvm-toolchain-18 (1:18.1.0~rc2-2) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Try gold linker on mips64el
  * Add also lfs on top of time64, to fix FTBFS on 32bit

  [ Sylvestre Ledru ]
  * add new symbols in libomp5

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 08 Feb 2024 16:38:35 +0100

llvm-toolchain-18 (1:18.1.0~rc2-1) unstable; urgency=medium

  * New snapshot release

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 07 Feb 2024 21:15:53 +0100

llvm-toolchain-18 (1:18.1.0~rc1-3) unstable; urgency=medium

  * Fix previous upload, time64 is effective only in one specific place of
    rules file
  * Fix some test using still clang-17
  * Switch testing to 18 line
  * Fix an underlinking on qualify-clang.sh

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 07 Feb 2024 15:05:08 +0100

llvm-toolchain-18 (1:18.1.0~rc1-2) unstable; urgency=medium

  [ Steve Langasek ]
  * Use ABI time64 to avoid a transition for a new package

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 05 Feb 2024 08:26:26 +0100

llvm-toolchain-18 (1:18.1.0~rc1-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Avoid hello build-dep getting pulled in on buildds.

  [ Gianfranco Costamagna ]
  * Fixup rc versioning, and go for sid

  [ Sylvestre Ledru ]
  * hwasan_symbolize is now built also on i386

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 31 Jan 2024 10:36:07 +0100

llvm-toolchain-18 (1:18.1.0-rc1-1~exp1) experimental; urgency=medium

  * First RC

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 30 Jan 2024 09:01:06 +0100

llvm-toolchain-18 (1:18.1.0~++20240126095841+0991d3c7b53d-1~exp1) experimental; urgency=medium

  * Branching of 18
    note that it is normal that the versioning starts from 18.1
    See https://discourse.llvm.org/t/rfc-name-the-first-release-from-a-branch-n-1-0-instead-of-n-0-0/75384
  * refresh libomp5 symbol list
  * For the usage of -DLIBCXXABI_USE_LLVM_UNWINDER=OFF when we don't build unwind
    https://github.com/llvm/llvm-project/issues/77846
  * remove the unconditionally defined -DLIBUNWIND_USE_COMPILER_RT=ON
  * Also pass -DLIBCXXABI_USE_LLVM_UNWINDER:BOOL=OFF to libcxx-wasm32-wasi builds

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 26 Jan 2024 09:44:56 +0100

llvm-toolchain-snapshot (1:18~++20231211102647+75193b192ad9-1~exp1) experimental; urgency=medium

  [ Matthias Klose ]
  * Set the cpu defaults for the ARM32 architectures:
    - armel: arm926ej-s. Addresses: #1056115.
    - armhf: cortex-a8.
    Thanks to Arnd Bergmann and Ard Biesheuvel for the fixes.
  * Apply the proposed fix for D158491, build failure on mips64el, still
    unreviewed upstream. Addresses: #1056116.

  [ Sylvestre Ledru ]
  * New snapshot release
  * Fix a libc++ conflicts (Closes: #1057899)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 11 Dec 2023 10:26:59 +0100

llvm-toolchain-snapshot (1:18~++20231203063627+9f78edbd20ed-1~exp1) experimental; urgency=medium

  [ Sylvestre Ledru ]
  * replace python3-recommonmark by myst-parser
    to follow upstream change b7ff03206d668cd5a620a9d4e1b22ea112ed56e3
    And disable generation of the doc on old distro
  * Ship tblgen-to-irdl as part of mlir-tools
  * Rename lldb-vscode => lldb-dap
  * Ship tblgen-to-irdl as part of mlir-tools
  * Remove __tgt_rtl_deinit_plugin & __tgt_rtl_deinit_device symbols from
    openmp https://github.com/llvm/llvm-project/pull/73557

  [ Matthias Klose ]
  * Limit the number of parallel processes based on the available memory
    and the packages to be built (flang has some memory hogs).
  * Also install liborc_rt*.a on ppc64 and ppc64el.
  * Fix stripping build flags on Ubuntu/ppc64el.
  * libclang1-18: Only encode the major version in the soname. See #1056126.
  * Restore the patch for D148945, searching /usr/lib/llvm-18/lib by default.
    Addresses: #1056580.
  * Also use the free swap to determine the number of parallel processes.
  * Set the cpu defaults for the ARM32 architectures:
    - armel: arm9e. Closes: #1056115.
    - armhf: cortex-a7.

  [ John Paul Adrian Glaubitz ]
  * Don't install *clang_rt* on sparc and sparc64

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 03 Dec 2023 18:38:51 +0100

llvm-toolchain-17 (1:17.0.3-1~exp1) experimental; urgency=medium

  [ Matthias Klose ]
  * Consolidate the build flags for the wasm builds.
  * Disable the clc and wasm builds when not building binary indep packages.
  * Limit the parallel links to 2 on riscv64.
  * d/rules: Be less noisy when building without grpc.
  * Build-depend on libncurses-dev instead of libncurses5-dev.
  * Use a stamps subdirectory for all build stamps.
  * Factor-out the calls to dh_listpackages.
  * d/rules/preconfigure: Print info about build environment.

 -- Matthias Klose <doko@debian.org>  Sun, 08 Oct 2023 08:10:51 +0200

llvm-toolchain-snapshot (1:18~++20230818040015+c931f2e6fd0c-1~exp2) UNRELEASED; urgency=medium

  [ John Paul Adrian Glaubitz ]
  * Disable wasm support on powerpc and powerpcspe
  * Remove powerpc from BINUTILS_GOLD_ARCHS again

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Wed, 30 Aug 2023 11:49:01 +0200

llvm-toolchain-snapshot (1:18~++20230818040015+c931f2e6fd0c-1~exp1) experimental; urgency=medium

  * snapshot is now 18
  * Remove llvm-remark-size-diff & llvm-tapi-diff from llvm-X.Y-dev
  * Remove lldb-disable-swig-error.diff - no longer necessary

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 18 Aug 2023 16:00:36 +0200

llvm-toolchain-snapshot (1:18~++20230725115106+b6847edfc235-1~exp1) experimental; urgency=medium

  * snapshot is now 18

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 25 Jul 2023 23:52:42 +0200

llvm-toolchain-17 (1:17.0.6-6) UNRELEASED; urgency=medium

  [ chenli ]
  * Enable flang on loong64

  [ Sylvestre Ledru ]
  * try to enable sccache on 'my' s390x machines

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 24 Jan 2024 13:29:35 +0100

llvm-toolchain-17 (1:17.0.6-5) unstable; urgency=medium

  [ Faidon Liambotis ]
  * Revert "Enable COMPILER_RT_BUILD_BUILTINS for armel"
  * Fix i386 FTBFS resulting from COMPILER_RT_DEFAULT_TARGET_ONLY
    (Closes: #1060440)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 11 Jan 2024 14:15:09 +0100

llvm-toolchain-17 (1:17.0.6-4) unstable; urgency=medium

  * debian/qualify-clang.sh: remove the compiler-rt test of i386
    use libclang-rt-17-dev:i386 instead

  [ Matthias Klose ]
  * libclang1-17: Remove the full version symlinks.

  [ Faidon Liambotis ]
  * Enable COMPILER_RT_DEFAULT_TARGET_ONLY for all archs
  * Enable COMPILER_RT_BUILD_BUILTINS for armel
  * Drop two unreferenced debian/patches
  * Mark documentation packages as Multi-Arch: foreign
  * Convert libclang-common-*-dev to Arch: all/M-A: foreign

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 09 Jan 2024 13:03:56 +0100

llvm-toolchain-17 (1:17.0.6-3) unstable; urgency=medium

  * Cherry pick the wasm fix from 16
    (Closes: #1057838)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 15 Dec 2023 18:51:57 +0100

llvm-toolchain-17 (1:17.0.6-2) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Add new cmake-clang-test to spot issues such as
    Debian bug #1057151
  * Fix cmake file (Closes: #1057151)
  * Drop sed command, useless now

  [ Matthias Klose ]
  * Also use the free swap to determine the number of parallel processes.
  * libclang1-17: Hard-code the last full versions for the symlinks.
  * Also use the free swap to determine the number of parallel processes.
  * Set the cpu defaults for the ARM32 architectures:
    - armel: arm926ej-s. Closes: #1056115.
    - armhf: cortex-a8.
    Thanks to Arnd Bergmann and Ard Biesheuvel for the fixes.
  * Apply the proposed fix for D158491, build failure on mips64el, still
    unreviewed upstream. Addresses: #1056116.

  [ Sylvestre Ledru ]
  * Move the symlink /usr/lib/*/libc++experimental.a from libc++abi-17-dev
    to libc++-17-dev
  * Remove some old break/replaces from 16
  * Fix the EmitBackendOutput test in debian/qualify-clang.sh
  * Also add back /usr/lib/llvm-17/lib/libclang-17.so.1

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 08 Dec 2023 09:49:04 +0100

llvm-toolchain-17 (1:17.0.6-1) unstable; urgency=medium

  [ Matthias Klose ]
  * Further limit the number of parallel processes
  * Don't build-depend on llvm-spirv-17 on armel and mipsel (LLVM 17 is not
    yet built on these architectures).
  * Fix stripping build flags on Ubuntu/ppc64el.
  * libclang1-17: Only encode the major version in the soname. Closes: #1056126.
  * libclang1-17: Provide a symlink for the last soname with the full version.
  * Restore the patch for D148945, searching /usr/lib/llvm-17/lib by default.
    Closes: #1056580.

  [ Sylvestre Ledru ]
  * New upstream release
  * Add a symlink for libc++experimental.a to /usr/lib/*/libc++experimental.a
    to fix https://github.com/llvm/llvm-project/issues/72753
  * try to relax the wasi-libc dep declaration for apt.llvm.org
  * add a check that, if we are going to build wasm, wasi-libc is installed
    on the system

  [ John Paul Adrian Glaubitz ]
  * Don't install *clang_rt* on sparc and sparc64

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 28 Nov 2023 11:43:43 +0100

llvm-toolchain-17 (1:17.0.5-1) unstable; urgency=medium

  [ John Paul Adrian Glaubitz ]
  * Don't run chrpath for libclang on sparc and sparc64

  [ Matthias Klose ]
  * Build-depend on llvm-spirv-17.

  [ Sylvestre Ledru ]
  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 14 Nov 2023 11:27:22 +0100

llvm-toolchain-17 (1:17.0.2-1~exp1) experimental; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 03 Oct 2023 09:18:45 +0200

llvm-toolchain-17 (1:17.0.1-1~exp2) experimental; urgency=medium

  * Also remove omp from cmake file (Closes: #1052533)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 28 Sep 2023 11:24:39 +0200

llvm-toolchain-17 (1:17.0.1-1~exp1) experimental; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 19 Sep 2023 10:43:02 +0200

llvm-toolchain-17 (1:17.0.0~+rc4-1~exp6) experimental; urgency=medium

  * Enable again python3-lldb on bionic (apt.llvm.org)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 18 Sep 2023 11:22:37 +0200

llvm-toolchain-17 (1:17.0.0~+rc4-1~exp5) experimental; urgency=medium

  * debian/patches/D158066.patch:
    - cherry-pick change from 1:16.0.6-11
  * Make sure at least spirv 17 is used, FTBFS with older version

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 12 Sep 2023 08:51:38 +0200

llvm-toolchain-17 (1:17.0.0~+rc4-1~exp4) experimental; urgency=medium

  [ Gianfranco Costamagna ]
  * Don't depend on spirv, the version 16 is too old to work

  [ Sylvestre Ledru ]
  * Also ignore "-mbranch-protection=standard" (used on arm64)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 08 Sep 2023 13:49:38 +0200

llvm-toolchain-17 (1:17.0.0~+rc4-1~exp3) experimental; urgency=medium

  * Update control file
  * Fixup build failures from 16 branch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 07 Sep 2023 23:04:28 +0200

llvm-toolchain-17 (1:17.0.0~+rc4-1~exp2) experimental; urgency=medium

  * Strip -fcf-protection for wasm build - new flag added in dpkg 1.22
  * Explicitly depend on libcurl4-openssl-dev
    Thanks to Samuel Henrique for the fix

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 06 Sep 2023 22:44:15 +0200

llvm-toolchain-17 (1:17.0.0~+rc4-1~exp1) experimental; urgency=medium

  [ John Paul Adrian Glaubitz ]
  * Disable wasm support on powerpc and powerpcspe
  * Remove powerpc from BINUTILS_GOLD_ARCHS again

  [ Sylvestre Ledru ]
  * new upstream release
  * Disable python3-lldb on mips64el to unbreak the build

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 05 Sep 2023 14:30:50 +0200

llvm-toolchain-17 (1:17.0.0~+rc3-1~exp1) experimental; urgency=medium

  * New snapshot release

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 22 Aug 2023 19:22:57 +0200

llvm-toolchain-17 (1:17.0.0~+rc2-1~exp2) UNRELEASED; urgency=medium

  * debian/tests/control: update gcc to 10 => 13

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 19 Aug 2023 10:07:19 +0200

llvm-toolchain-17 (1:17.0.0~+rc2-1~exp1) experimental; urgency=medium

  * New snapshot release:
  * Fix the libclang-rt-17-dev: ships
    /usr/lib[...]/wasi/libclang_rt.builtins-wasm*.a, already in
    libclang-rt-17-dev-wasm* (closes: #1041388)
  * Also install llvm-debuginfod in llvm-X.Y
  * Fix for real the libclang-rt-17-dev issue

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 15 Aug 2023 19:25:12 +0000

llvm-toolchain-snapshot (1:17~++20230723074821+3ebe606592fb-1~exp1) UNRELEASED; urgency=medium

  * experimental New snapshot release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 23 Jul 2023 19:48:42 +0200

llvm-toolchain-snapshot (1:17~++20230709044550+c54ff51be9c1-1~exp1) experimental; urgency=medium

  * Install usr/lib/llvm-17/lib/clang/17/include/llvm_libc_wrappers/*.h
    in libclang-common-X.Y-dev
  * fix the libclang & libomp5 symbol files
  * Add new symbol to libclang1:
    clang_CXXMethod_isExplicit
    clang_createIndexWithOptions
    clang_getBinaryOperatorKindSpelling
    clang_getCursorBinaryOperatorKind
    clang_getCursorUnaryOperatorKind
    clang_getUnaryOperatorKindSpelling

  [ Samuel Thibault ]
  * Fix hurd build by fixing Linux-specific lines.

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 09 Jul 2023 15:15:34 +0200

llvm-toolchain-snapshot (1:17~++20230701095046+dc6c8b8d1e35-1~exp1) experimental; urgency=medium

  * llvm-debuginfod not installed anymore
    https://github.com/llvm/llvm-project/commit/8ac330bde40e9e0a0b2d0708ba6c7888fb1ce225
  * New snapshot release
  * Yet a new element (omp) to disable in cmake detection. Upstream #62622
  * remove some mlir example (libMyExtensionCh*.a)
  * Try to pass MAKE_C_COMPILER_LAUNCHER and CMAKE_CXX_COMPILER_LAUNCHER
    in CLANG_BOOTSTRAP_PASSTHROUGH for sccache in stage2
  * Disable python3-lldb-17 for buster (it has been this way for a while)
  * Try to workaround issue 63613

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 04 Jul 2023 13:16:48 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libpolly-22-dev`.
